%define upstream_name HTML_QuickForm_ElementGrid
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.1.2
Release:     	%mkrel 8
Summary:    	An HTML_QuickForm meta-element which holds any other element in a grid
License: 	LGPL
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTML_QuickForm_ElementGrid-%{version}.tgz
URL: 		http://pear.php.net/package/HTML_QuickForm_ElementGrid
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-HTML_QuickForm >= 3.2.5
Requires:	php-pear-HTML_Table >= 1.7.5
Requires:	php-pear >= 1.4.3
BuildArch: 	noarch

%description
An HTML_QuickForm meta-element which holds multiple HTML_QuickForm elements
in an HTML_Table. The elements in the table should behave exactly like
normal elements in a form, such as freezing and getting defaults and
submitted values correctly.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_QuickForm_ElementGrid.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_QuickForm_ElementGrid.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_QuickForm_ElementGrid
fi

%files
%doc docs/HTML_QuickForm_ElementGrid/*
%{peardir}/*
%{xmldir}/HTML_QuickForm_ElementGrid.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.2-8.mga8
+ Revision: 1498927
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.2-7.mga7
+ Revision: 1273223
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.1.2-6.mga6
+ Revision: 937880
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-5.mga5
+ Revision: 748562
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-4.mga5
+ Revision: 687277
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-3.mga4
+ Revision: 516842
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.2-2.mga3
+ Revision: 376230
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 spuhler <spuhler> 0.1.2-1.mga2
+ Revision: 219535
- upgrade to 0.1.2
  pearized spec

* Sat Feb 05 2011 spuhler <spuhler> 0.1.1-3.mga1
+ Revision: 47474
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTML_QuickForm_ElementGrid


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-3mdv2011.0
+ Revision: 613675
- the mass rebuild of 2010.1 packages

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-2mdv2010.1
+ Revision: 477879
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Oct 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 452031
- import php-pear-HTML_QuickForm_ElementGrid


